#ifndef __G_VIEW_H__
#define __G_VIEW_H__

#include "mrect.h"

class view : public BView
{
public:
	view(BRect rect);
	virtual void Pulse();
	virtual void Draw(BRect rect);
	virtual void MouseDown(BPoint where);
	virtual void MessageReceived(BMessage *m);
	virtual void AttachedToWindow();
	
	virtual void shuffle(int32 i, int32 j);
	virtual void unpack(int32 i);
	virtual void solve(int32 i, int32 j);
	virtual void create_image(BBitmap *bitmap);
	virtual void reset();
	virtual bool winner();
private:
	BBitmap *image;
	int32 minmove, maxmove;
	BRadioButton *easy, *normal, *hard;
	BButton *newgame;
	int matrix[8][8];
	MRect rects[8][8];
	BBitmap *bmp[16];
	struct position {
		int i, j;
	};
	position pos;
};

#endif
